<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::Generators::FixedValuesGenerator&lt; T &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="namespaceCatch_1_1Generators.html">Generators</a></li><li class="navelem"><a class="el" href="classCatch_1_1Generators_1_1FixedValuesGenerator.html">FixedValuesGenerator</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classCatch_1_1Generators_1_1FixedValuesGenerator-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::Generators::FixedValuesGenerator&lt; T &gt; Class Template Reference<span class="mlabels"><span class="mlabel">final</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Catch::Generators::FixedValuesGenerator&lt; T &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="classCatch_1_1Generators_1_1FixedValuesGenerator__inherit__graph.png" border="0" usemap="#Catch_1_1Generators_1_1FixedValuesGenerator_3_01T_01_4_inherit__map" alt="Inheritance graph"/></div>
<map name="Catch_1_1Generators_1_1FixedValuesGenerator_3_01T_01_4_inherit__map" id="Catch_1_1Generators_1_1FixedValuesGenerator_3_01T_01_4_inherit__map">
<area shape="rect" title=" " alt="" coords="5,184,208,225"/>
<area shape="rect" href="structCatch_1_1Generators_1_1IGenerator.html" title=" " alt="" coords="33,95,180,136"/>
<area shape="rect" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html" title=" " alt="" coords="19,5,194,47"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Catch::Generators::FixedValuesGenerator&lt; T &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="classCatch_1_1Generators_1_1FixedValuesGenerator__coll__graph.png" border="0" usemap="#Catch_1_1Generators_1_1FixedValuesGenerator_3_01T_01_4_coll__map" alt="Collaboration graph"/></div>
<map name="Catch_1_1Generators_1_1FixedValuesGenerator_3_01T_01_4_coll__map" id="Catch_1_1Generators_1_1FixedValuesGenerator_3_01T_01_4_coll__map">
<area shape="rect" title=" " alt="" coords="5,184,208,225"/>
<area shape="rect" href="structCatch_1_1Generators_1_1IGenerator.html" title=" " alt="" coords="33,95,180,136"/>
<area shape="rect" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html" title=" " alt="" coords="19,5,194,47"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a6e9f473655413c1cb15f079890f06b86"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1FixedValuesGenerator.html#a6e9f473655413c1cb15f079890f06b86">FixedValuesGenerator</a> (std::initializer_list&lt; T &gt; <a class="el" href="namespaceCatch_1_1Generators.html#aff55717239311a0e8352a4de5d29967f">values</a>)</td></tr>
<tr class="separator:a6e9f473655413c1cb15f079890f06b86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2ea8c959c600386bcc4b2656b40d33e"><td class="memItemLeft" align="right" valign="top">T const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1FixedValuesGenerator.html#ad2ea8c959c600386bcc4b2656b40d33e">get</a> () const override</td></tr>
<tr class="separator:ad2ea8c959c600386bcc4b2656b40d33e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ce9e3ed045239c7b82873f24bd9cd3b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1FixedValuesGenerator.html#a6ce9e3ed045239c7b82873f24bd9cd3b">next</a> () override</td></tr>
<tr class="separator:a6ce9e3ed045239c7b82873f24bd9cd3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e9f473655413c1cb15f079890f06b86"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1FixedValuesGenerator.html#a6e9f473655413c1cb15f079890f06b86">FixedValuesGenerator</a> (std::initializer_list&lt; T &gt; <a class="el" href="namespaceCatch_1_1Generators.html#aff55717239311a0e8352a4de5d29967f">values</a>)</td></tr>
<tr class="separator:a6e9f473655413c1cb15f079890f06b86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2ea8c959c600386bcc4b2656b40d33e"><td class="memItemLeft" align="right" valign="top">T const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1FixedValuesGenerator.html#ad2ea8c959c600386bcc4b2656b40d33e">get</a> () const override</td></tr>
<tr class="separator:ad2ea8c959c600386bcc4b2656b40d33e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ce9e3ed045239c7b82873f24bd9cd3b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1FixedValuesGenerator.html#a6ce9e3ed045239c7b82873f24bd9cd3b">next</a> () override</td></tr>
<tr class="separator:a6ce9e3ed045239c7b82873f24bd9cd3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_structCatch_1_1Generators_1_1IGenerator"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_structCatch_1_1Generators_1_1IGenerator')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">Catch::Generators::IGenerator&lt; T &gt;</a></td></tr>
<tr class="memitem:afe5b6eecbbd735e69748d68574611747 inherit pub_methods_structCatch_1_1Generators_1_1IGenerator"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#afe5b6eecbbd735e69748d68574611747">~IGenerator</a> ()=default</td></tr>
<tr class="separator:afe5b6eecbbd735e69748d68574611747 inherit pub_methods_structCatch_1_1Generators_1_1IGenerator"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe5b6eecbbd735e69748d68574611747 inherit pub_methods_structCatch_1_1Generators_1_1IGenerator"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#afe5b6eecbbd735e69748d68574611747">~IGenerator</a> ()=default</td></tr>
<tr class="separator:afe5b6eecbbd735e69748d68574611747 inherit pub_methods_structCatch_1_1Generators_1_1IGenerator"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html">Catch::Generators::GeneratorUntypedBase</a></td></tr>
<tr class="memitem:a00ff0179d739c3016756b6cf56fabbad inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a00ff0179d739c3016756b6cf56fabbad">GeneratorUntypedBase</a> ()=default</td></tr>
<tr class="separator:a00ff0179d739c3016756b6cf56fabbad inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f05f8099fdc5744a7aff68aa8c09c7f inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a6f05f8099fdc5744a7aff68aa8c09c7f">~GeneratorUntypedBase</a> ()</td></tr>
<tr class="separator:a6f05f8099fdc5744a7aff68aa8c09c7f inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00ff0179d739c3016756b6cf56fabbad inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a00ff0179d739c3016756b6cf56fabbad">GeneratorUntypedBase</a> ()=default</td></tr>
<tr class="separator:a00ff0179d739c3016756b6cf56fabbad inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f05f8099fdc5744a7aff68aa8c09c7f inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a6f05f8099fdc5744a7aff68aa8c09c7f">~GeneratorUntypedBase</a> ()</td></tr>
<tr class="separator:a6f05f8099fdc5744a7aff68aa8c09c7f inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a09ecf30d7d203b33fa5a61008e98e9de"><td class="memItemLeft" align="right" valign="top">std::vector&lt; T &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1FixedValuesGenerator.html#a09ecf30d7d203b33fa5a61008e98e9de">m_values</a></td></tr>
<tr class="separator:a09ecf30d7d203b33fa5a61008e98e9de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14c3c77deb624c09065e5ccaf8646f33"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1FixedValuesGenerator.html#a14c3c77deb624c09065e5ccaf8646f33">m_idx</a> = 0</td></tr>
<tr class="separator:a14c3c77deb624c09065e5ccaf8646f33"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_structCatch_1_1Generators_1_1IGenerator"><td colspan="2" onclick="javascript:toggleInherit('pub_types_structCatch_1_1Generators_1_1IGenerator')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">Catch::Generators::IGenerator&lt; T &gt;</a></td></tr>
<tr class="memitem:a1f8677875fe0ff31f39c60d45504b9a5 inherit pub_types_structCatch_1_1Generators_1_1IGenerator"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#a1f8677875fe0ff31f39c60d45504b9a5">type</a> = T</td></tr>
<tr class="separator:a1f8677875fe0ff31f39c60d45504b9a5 inherit pub_types_structCatch_1_1Generators_1_1IGenerator"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f8677875fe0ff31f39c60d45504b9a5 inherit pub_types_structCatch_1_1Generators_1_1IGenerator"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#a1f8677875fe0ff31f39c60d45504b9a5">type</a> = T</td></tr>
<tr class="separator:a1f8677875fe0ff31f39c60d45504b9a5 inherit pub_types_structCatch_1_1Generators_1_1IGenerator"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a6e9f473655413c1cb15f079890f06b86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e9f473655413c1cb15f079890f06b86">&#9670;&nbsp;</a></span>FixedValuesGenerator() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Generators_1_1FixedValuesGenerator.html">Catch::Generators::FixedValuesGenerator</a>&lt; T &gt;::<a class="el" href="classCatch_1_1Generators_1_1FixedValuesGenerator.html">FixedValuesGenerator</a> </td>
          <td>(</td>
          <td class="paramtype">std::initializer_list&lt; T &gt;&#160;</td>
          <td class="paramname"><em>values</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6e9f473655413c1cb15f079890f06b86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e9f473655413c1cb15f079890f06b86">&#9670;&nbsp;</a></span>FixedValuesGenerator() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Generators_1_1FixedValuesGenerator.html">Catch::Generators::FixedValuesGenerator</a>&lt; T &gt;::<a class="el" href="classCatch_1_1Generators_1_1FixedValuesGenerator.html">FixedValuesGenerator</a> </td>
          <td>(</td>
          <td class="paramtype">std::initializer_list&lt; T &gt;&#160;</td>
          <td class="paramname"><em>values</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ad2ea8c959c600386bcc4b2656b40d33e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2ea8c959c600386bcc4b2656b40d33e">&#9670;&nbsp;</a></span>get() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">T const&amp; <a class="el" href="classCatch_1_1Generators_1_1FixedValuesGenerator.html">Catch::Generators::FixedValuesGenerator</a>&lt; T &gt;::get </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#a525d381fc9249a885b075a0632a8579a">Catch::Generators::IGenerator&lt; T &gt;</a>.</p>

</div>
</div>
<a id="ad2ea8c959c600386bcc4b2656b40d33e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2ea8c959c600386bcc4b2656b40d33e">&#9670;&nbsp;</a></span>get() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">T const&amp; <a class="el" href="classCatch_1_1Generators_1_1FixedValuesGenerator.html">Catch::Generators::FixedValuesGenerator</a>&lt; T &gt;::get </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#a525d381fc9249a885b075a0632a8579a">Catch::Generators::IGenerator&lt; T &gt;</a>.</p>

</div>
</div>
<a id="a6ce9e3ed045239c7b82873f24bd9cd3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ce9e3ed045239c7b82873f24bd9cd3b">&#9670;&nbsp;</a></span>next() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classCatch_1_1Generators_1_1FixedValuesGenerator.html">Catch::Generators::FixedValuesGenerator</a>&lt; T &gt;::next </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#aeed3c0cd6233c5f553549e453b8d6638">Catch::Generators::GeneratorUntypedBase</a>.</p>

</div>
</div>
<a id="a6ce9e3ed045239c7b82873f24bd9cd3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ce9e3ed045239c7b82873f24bd9cd3b">&#9670;&nbsp;</a></span>next() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classCatch_1_1Generators_1_1FixedValuesGenerator.html">Catch::Generators::FixedValuesGenerator</a>&lt; T &gt;::next </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#aeed3c0cd6233c5f553549e453b8d6638">Catch::Generators::GeneratorUntypedBase</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a14c3c77deb624c09065e5ccaf8646f33"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14c3c77deb624c09065e5ccaf8646f33">&#9670;&nbsp;</a></span>m_idx</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classCatch_1_1Generators_1_1FixedValuesGenerator.html">Catch::Generators::FixedValuesGenerator</a>&lt; T &gt;::m_idx = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a09ecf30d7d203b33fa5a61008e98e9de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09ecf30d7d203b33fa5a61008e98e9de">&#9670;&nbsp;</a></span>m_values</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt; T &gt; <a class="el" href="classCatch_1_1Generators_1_1FixedValuesGenerator.html">Catch::Generators::FixedValuesGenerator</a>&lt; T &gt;::m_values</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
